package com.zswc.creativity.fragment

import android.view.LayoutInflater
import android.view.ViewGroup
import com.zswc.creativity.adapter.HomeDriverAdapter
import com.zswc.creativity.base.MBRFragment
import com.zswc.creativity.databinding.FragmentHomeDriverBinding
import com.zswc.creativity.vmodel.HomeDriverVModel

/**
 * 司机端-首页
 *Created by shihuiyun
 *on 2020/12/5
 */
class HomeDriverFragment : MBRFragment<HomeDriverVModel, HomeDriverAdapter, FragmentHomeDriverBinding>(){


    override fun vmClass(): Class<HomeDriverVModel> {
        return HomeDriverVModel::class.java
    }

    override fun binding(inflater: LayoutInflater, container: ViewGroup?): FragmentHomeDriverBinding {
        return FragmentHomeDriverBinding.inflate(layoutInflater, container, false)
    }

    override fun initAdapter(): HomeDriverAdapter {
        return HomeDriverAdapter(vm)
    }

    override fun title(): String? {
        return null
    }
}
